package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * AddCallForwardingRuleResp
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class AddCallForwardingRuleResp   {
  @JsonProperty("ruleId")
  private String ruleId;

  public AddCallForwardingRuleResp ruleId(String ruleId) {
    this.ruleId = ruleId;
    return this;
  }

  /**
   * Call Forwarding rule id.
   * @return ruleId
  */
  @ApiModelProperty(value = "Call Forwarding rule id.")


  public String getRuleId() {
    return ruleId;
  }

  public void setRuleId(String ruleId) {
    this.ruleId = ruleId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AddCallForwardingRuleResp addCallForwardingRuleResp = (AddCallForwardingRuleResp) o;
    return Objects.equals(this.ruleId, addCallForwardingRuleResp.ruleId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ruleId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AddCallForwardingRuleResp {\n");
    
    sb.append("    ruleId: ").append(toIndentedString(ruleId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

